Skip to Content

Items API

Access and create your catalog items.

Read scope: items:read Write scope: items:write

List Items

GET /items

Returns all catalog items for your business.

Query Parameters

ParameterTypeDescription
item_typestringFilter by type: SALES, PURCHASE, or TEXT
pageintegerPage number (default: 1)
page_sizeintegerItems per page (default: 50, max: 100)

Example Request

curl -H "Authorization: Bearer rb_live_YOUR_API_KEY" \ "https://api.rebased.app/api/v1/external/items?item_type=SALES"

Example Response

{ "items": [ { "id": "aa0e8400-e29b-41d4-a716-446655440000", "item_code": "CONSULT-HR", "name": "Consulting - Hourly", "description": "Professional consulting services", "item_type": "SALES", "unit_price": 150.00, "is_taxable": true, "account_id": "880e8400-e29b-41d4-a716-446655440000", "tax_code_id": "990e8400-e29b-41d4-a716-446655440000", "is_active": true, "created_at": "2026-01-05T09:00:00Z", "updated_at": "2026-03-10T14:00:00Z" } ], "total": 1, "page": 1, "page_size": 50, "has_more": false }

Get Item

GET /items/{id}

Returns a single catalog item by ID.

Path Parameters

ParameterTypeDescription
idstring (UUID)The item ID

Example Request

curl -H "Authorization: Bearer rb_live_YOUR_API_KEY" \ "https://api.rebased.app/api/v1/external/items/aa0e8400-e29b-41d4-a716-446655440000"

Create Item

POST /items

Creates a new catalog item.

Request Body

FieldTypeRequiredDescription
namestringYesItem name
item_codestringNoUnique item code (must be unique within your business)
descriptionstringNoItem description
item_typestringNoSALES, PURCHASE, or TEXT (default: SALES)
unit_pricedecimalRequired for SALES/PURCHASEPrice per unit
is_taxablebooleanNoWhether the item is taxable (default: true)
account_idstringYesRevenue/expense account ID (from GET /accounts)
tax_code_idstringYesTax code ID (from GET /tax-codes)

Example Request

curl -X POST \ -H "Authorization: Bearer rb_live_YOUR_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "name": "Consulting - Hourly", "item_code": "CONSULT-HR", "description": "Professional consulting services", "item_type": "SALES", "unit_price": 150.00, "is_taxable": true, "account_id": "880e8400-e29b-41d4-a716-446655440000", "tax_code_id": "990e8400-e29b-41d4-a716-446655440000" }' \ "https://api.rebased.app/api/v1/external/items"

Example Response (201 Created)

{ "id": "aa0e8400-e29b-41d4-a716-446655440000", "item_code": "CONSULT-HR", "name": "Consulting - Hourly", "description": "Professional consulting services", "item_type": "SALES", "unit_price": 150.00, "is_taxable": true, "account_id": "880e8400-e29b-41d4-a716-446655440000", "tax_code_id": "990e8400-e29b-41d4-a716-446655440000", "is_active": true, "created_at": "2026-04-04T09:00:00Z", "updated_at": null }

Errors

StatusDetail
409Item code already exists
422unit_price is required for SALES and PURCHASE items
422item_type must be one of: SALES, PURCHASE, TEXT

Item Object

FieldTypeDescription
idstringUnique identifier (UUID)
item_codestringUnique item code
namestringItem name
descriptionstringItem description
item_typestringSALES, PURCHASE, or TEXT
unit_pricedecimalPrice per unit
is_taxablebooleanWhether the item is taxable
account_idstringRevenue/expense account ID
tax_code_idstringTax code ID
is_activebooleanWhether the item is active
created_atdatetimeWhen the item was created
updated_atdatetimeWhen the item was last updated
Last updated on